Main Page | Modules | Data Structures | File List | Data Fields | Globals | Related Pages

# Openclos.c File Reference

`#include "ntddk.h"`
`#include "ntiologc.h"`
`#include "ndis.h"`
`#include "debug.h"`
`#include "packet.h"`

Go to the source code of this file.

## Defines
#define | NUM_NDIS_MEDIA (sizeof MediumArray / sizeof MediumArray[0])
## Functions
void | PacketItoa (UINT n, PUCHAR buf)
NTSTATUS | NPF_Open (IN PDEVICE_OBJECT DeviceObject, IN PIRP Irp)
| Opens a new instance of the driver.
VOID | NPF_OpenAdapterComplete (IN NDIS_HANDLE ProtocolBindingContext, IN NDIS_STATUS Status, IN NDIS_STATUS OpenErrorStatus)
| Ends the opening of an adapter.
NTSTATUS | NPF_Close (IN PDEVICE_OBJECT DeviceObject, IN PIRP Irp)
| Closes an instance of the driver.
VOID | NPF_CloseAdapterComplete (IN NDIS_HANDLE ProtocolBindingContext, IN NDIS_STATUS Status)
| Ends the closing of an adapter.
VOID | NPF_BindAdapter (OUT PNDIS_STATUS Status, IN NDIS_HANDLE BindContext, IN PNDIS_STRING DeviceName, IN PVOID SystemSpecific1, IN PVOID SystemSpecific2)
| Callback for NDIS BindAdapterHandler. Not used by NPF.
VOID | NPF_UnbindAdapter (OUT PNDIS_STATUS Status, IN NDIS_HANDLE ProtocolBindingContext, IN NDIS_HANDLE UnbindContext)
| Callback for NDIS UnbindAdapterHandler.
VOID | NPF_ResetComplete (IN NDIS_HANDLE ProtocolBindingContext, IN NDIS_STATUS Status)
| Ends a reset of the adapter.
## Variables
NDIS_MEDIUM | MediumArray []
ULONG | NamedEventsCounter = 0
time_conv | G_Start_Time
| Global start time. Used as an absolute reference for timestamp conversion.
UINT | n_Opened_Instances = 0
NDIS_SPIN_LOCK | Opened_Instances_Lock

## Define Documentation

#define NUM_NDIS_MEDIA (sizeof MediumArray / sizeof MediumArray[0])

| Definition at line 49 of file Openclos.c. Referenced by NPF_Open().

## Function Documentation

void PacketItoa | ( | UINT | n,
|  | PUCHAR | buf
| ) |

| Definition at line 54 of file Openclos.c. Referenced by NPF_Open().

## Variable Documentation

struct time_conv G_Start_Time

| Initial value:
     {
        0,
        {0, 0},
    }
Global start time. Used as an absolute reference for timestamp conversion. Definition at line 66 of file Openclos.c. Referenced by NPF_CloseAdapterComplete(), NPF_IoControl(), NPF_OpenAdapterComplete(), NPF_Read(), NPF_tap(), and NPF_TransferDataComplete().

NDIS_MEDIUM MediumArray[]`[static]`

| Initial value:
     {
        NdisMedium802_3,

        NdisMediumFddi,
        NdisMediumArcnet878_2,
        NdisMediumAtm,
        NdisMedium802_5
    }
Definition at line 40 of file Openclos.c. Referenced by NPF_Open().

UINT n_Opened_Instances = 0

| Definition at line 71 of file Openclos.c. Referenced by NPF_CloseAdapterComplete(), and NPF_OpenAdapterComplete().

ULONG NamedEventsCounter = 0

| Definition at line 51 of file Openclos.c. Referenced by NPF_Open().

NDIS_SPIN_LOCK Opened_Instances_Lock

| Definition at line 73 of file Openclos.c. Referenced by DriverEntry(), NPF_CloseAdapterComplete(), and NPF_OpenAdapterComplete().

documentation. Copyright (c) 2002-2003 Politecnico di Torino. All rights reserved.